## php-phpstan-phpdoc-parser 1.16.1

=== Makefile ===
.PHONY: check
check: lint cs tests phpstan

.PHONY: tests
tests: build-abnfgen
	php vendor/bin/phpunit

.PHONY: lint
lint:
	php vendor/bin/parallel-lint --colors \
		src tests \
		--exclude tests/PHPStan/Analyser/data \
		--exclude tests/PHPStan/Rules/Methods/data \
		--exclude tests/PHPStan/Rules/Functions/data

.PHONY: cs
cs:
	composer install --working-dir build-cs && php build-cs/vendor/bin/phpcs

.PHONY: cs-fix
cs-fix:
	php build-cs/vendor/bin/phpcbf

.PHONY: phpstan
phpstan:
	php vendor/bin/phpstan

.PHONY: build-abnfgen
build-abnfgen:
	./build-abnfgen.sh

## php-phpstan-phpdoc-parser 1.2.0

=== debian/changelog ===
php-phpstan-phpdoc-parser (1.2.0-2) unstable; urgency=medium

  * Upload to unstable

 -- David Prévot <taffit@debian.org>  Fri, 26 Nov 2021 17:01:12 -0400

php-phpstan-phpdoc-parser (1.2.0-1) unstable; urgency=low

  * Initial release (new symfony build-dependency)

 -- David Prévot <taffit@debian.org>  Sat, 06 Nov 2021 14:25:02 -0400

=== debian/control ===
Source: php-phpstan-phpdoc-parser
Section: php
Priority: optional
Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Uploaders: David Prévot <taffit@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-phpcomposer,
               php-symfony-process,
               phpab,
               phpunit,
               pkg-php-tools (>= 1.41~)
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/php-team/pear/php-phpstan-phpdoc-parser.git -b debian/latest
Vcs-Browser: https://salsa.debian.org/php-team/pear/php-phpstan-phpdoc-parser
Homepage: https://phpstan.org/
Rules-Requires-Root: no

Package: php-phpstan-phpdoc-parser
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Description: ${phpcomposer:description}
 PHPDoc parser for PHPStan.
 .
 PHPStan is a PHP Static Analysis Tool.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	phpab --output src/autoload.php src
	mkdir --parents vendor PHPStan
	ln -s ../src PHPStan/PhpDocParser
	phpabtpl \
		--require phpstan/phpdoc-parser \
		--require symfony/process \
		> debian/autoload.tests.php.tpl
	phpab \
		--output vendor/autoload.php \
		--template debian/autoload.tests.php.tpl \
		tests
	./build-abnfgen.sh

override_dh_auto_test:
	phpunit --bootstrap vendor/autoload.php

=== debian/tests/control ===
Restrictions: rw-build-tree, allow-stderr
Depends: php-symfony-process, phpab, phpunit, pkg-php-tools, @
Test-Command: mkdir -p vendor && phpabtpl --require phpstan/phpdoc-parser --require symfony/process > debian/autoload.tests.php.tpl && phpab -o vendor/autoload.php -t debian/autoload.tests.php.tpl tests && ./build-abnfgen.sh && phpunit --bootstrap vendor/autoload.php

=== debian/watch ===
version=4
options=uversionmangle=s/-?([^\d.]+)/~$1/i;tr/A-Z/a-z/,\
mode=git,gitmode=full,gitexport=all,pgpmode=gittag \
https://github.com/phpstan/phpdoc-parser \
refs/tags/v?(\d.+)

## php-phpstan-phpdoc-parser 1.7.0

=== debian/changelog ===
php-phpstan-phpdoc-parser (1.7.0-1) unstable; urgency=medium

  * Don’t check upstream signature

 -- David Prévot <taffit@debian.org>  Thu, 11 Aug 2022 12:08:06 +0200

php-phpstan-phpdoc-parser (1.6.4-1) unstable; urgency=medium

  [ Jiří Pudil ]
  * Simplify parsing of type alias import

  [ Alex Wells ]
  * Support @template-contravariant tags

 -- David Prévot <taffit@debian.org>  Fri, 01 Jul 2022 07:06:36 +0200

php-phpstan-phpdoc-parser (1.6.3-1) unstable; urgency=medium

  * New upstream release
  * Mark package as Multi-Arch: foreign
  * Update Standards-Version to 4.6.1

 -- David Prévot <taffit@debian.org>  Sat, 18 Jun 2022 17:47:31 +0200

=== debian/control ===
--- 
+++ 
@@ -9,14 +9,15 @@
                phpab,
                phpunit,
                pkg-php-tools (>= 1.41~)
-Standards-Version: 4.6.0
-Vcs-Git: https://salsa.debian.org/php-team/pear/php-phpstan-phpdoc-parser.git -b debian/latest
+Standards-Version: 4.6.1
+Vcs-Git: https://salsa.debian.org/php-team/pear/php-phpstan-phpdoc-parser.git
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-phpstan-phpdoc-parser
 Homepage: https://phpstan.org/
 Rules-Requires-Root: no
 
 Package: php-phpstan-phpdoc-parser
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
 Suggests: ${phpcomposer:Debian-suggest}
 Replaces: ${phpcomposer:Debian-replace}

## php-phpstan-phpdoc-parser 1.16.1

=== debian/changelog ===
php-phpstan-phpdoc-parser (1.16.1-1) unstable; urgency=medium

  [ USAMI Kenta ]
  * Fix list{} parsing

 -- David Prévot <taffit@debian.org>  Sat, 11 Feb 2023 07:21:48 +0100

php-phpstan-phpdoc-parser (1.16.0-1) unstable; urgency=medium

  [ USAMI Kenta ]
  * Add support for list shapes

  [ David Prévot ]
  * Update standards version to 4.6.2, no changes needed.

 -- David Prévot <taffit@debian.org>  Sun, 29 Jan 2023 22:29:06 +0100

php-phpstan-phpdoc-parser (1.15.3-1) unstable; urgency=medium

  [ Ondřej Mirtes ]
  * Fix ConstExprArrayItemNode::__toString()

 -- David Prévot <taffit@debian.org>  Wed, 21 Dec 2022 06:32:47 +0100

php-phpstan-phpdoc-parser (1.15.2-1) unstable; urgency=medium

  [ Jeremiasz Major ]
  * Support unsealed array shapes
  * Fix printing nodes

 -- David Prévot <taffit@debian.org>  Sat, 17 Dec 2022 09:56:29 +0100

php-phpstan-phpdoc-parser (1.15.0-1) unstable; urgency=medium

  [ Tomohito YABU ]
  * Add generics support to `@method` definitions

 -- David Prévot <taffit@debian.org>  Thu, 08 Dec 2022 05:45:23 +0100

php-phpstan-phpdoc-parser (1.14.0-1) unstable; urgency=medium

  [ Jiří Pudil ]
  * Generics type projections (call-site variance)

 -- David Prévot <taffit@debian.org>  Wed, 30 Nov 2022 06:04:21 +0100

php-phpstan-phpdoc-parser (1.13.1-1) unstable; urgency=medium

  [ Jaapio ]
  * Add specialized tags support

 -- David Prévot <taffit@debian.org>  Tue, 22 Nov 2022 07:29:05 +0100

php-phpstan-phpdoc-parser (1.13.0-2) unstable; urgency=medium

  * Drop last data set causing tests to fail on 32-bit arch

 -- David Prévot <taffit@debian.org>  Sat, 29 Oct 2022 10:54:28 +0200

php-phpstan-phpdoc-parser (1.13.0-1) unstable; urgency=medium

  [ Richard van Velzen ]
  * Unescape constant strings
  * Allow unparenthesized conditional type in conditional else branch
  * Fix __toString() for negated asserts
  * Add equality assert syntax

 -- David Prévot <taffit@debian.org>  Mon, 24 Oct 2022 07:54:42 +0200

php-phpstan-phpdoc-parser (1.11.0-1) unstable; urgency=medium

  [ Richard van Velzen ]
  * Implement template default syntax

 -- David Prévot <taffit@debian.org>  Sat, 15 Oct 2022 13:07:14 +0200

php-phpstan-phpdoc-parser (1.9.0-1) unstable; urgency=medium

  [ Richard van Velzen ]
  * Improve abnf readability
  * Implement this-out/self-out syntax

 -- David Prévot <taffit@debian.org>  Fri, 07 Oct 2022 16:45:57 +0200

php-phpstan-phpdoc-parser (1.8.0-1) unstable; urgency=medium

  [ Kuba Werłos ]
  * Allow backslash in PHPDoc tag

 -- David Prévot <taffit@debian.org>  Fri, 09 Sep 2022 10:30:04 -0400

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                phpab,
                phpunit,
                pkg-php-tools (>= 1.41~)
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/php-team/pear/php-phpstan-phpdoc-parser.git
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-phpstan-phpdoc-parser
 Homepage: https://phpstan.org/

## php-phpstan-phpdoc-parser 1.23.1

=== debian/changelog ===
php-phpstan-phpdoc-parser (1.23.1-1) unstable; urgency=medium

  [ Ondrej Mirtes ]
  * Fix parsing Doctrine strings

 -- David Prévot <taffit@debian.org>  Sat, 05 Aug 2023 12:14:44 +0200

php-phpstan-phpdoc-parser (1.23.0-1) unstable; urgency=medium

  [ Ondrej Mirtes ]
  * New option to attach text between tags as description to the tag above

 -- David Prévot <taffit@debian.org>  Mon, 24 Jul 2023 13:56:16 +0200

php-phpstan-phpdoc-parser (1.22.1-1) unstable; urgency=medium

  * Upload to unstable now that Bookworm has been released

  [ Ondrej Mirtes ]
  * TokenIterator - detect newline

 -- David Prévot <taffit@debian.org>  Wed, 05 Jul 2023 08:41:45 +0200

php-phpstan-phpdoc-parser (1.22.0-1) experimental; urgency=medium

  [ Ondrej Mirtes ]
  * Experimental: Parse Doctrine annotations

  [ David Prévot ]
  * Use php-doctrine-annotations for tests

 -- David Prévot <taffit@debian.org>  Sat, 03 Jun 2023 09:55:09 +0200

php-phpstan-phpdoc-parser (1.21.3-1) experimental; urgency=medium

  [ Ondřej Mirtes ]
  * Prepare for 1.22.x

  [ David Prévot ]
  * Adapt to recent version of PHPUnit (10)
  * Drop now useless build-dependency

 -- David Prévot <taffit@debian.org>  Tue, 30 May 2023 12:23:52 +0200

php-phpstan-phpdoc-parser (1.21.0-1) experimental; urgency=medium

  [ Ondřej Mirtes ]
  * Update README.md

  [ David Prévot ]
  * Ship now meaningful upstream README
  * Exclude some test files for phpab

 -- David Prévot <taffit@debian.org>  Thu, 18 May 2023 19:23:55 +0200

php-phpstan-phpdoc-parser (1.20.4-1) experimental; urgency=medium

  [ Ondrej Mirtes ]
  * Open 1.20.x

 -- David Prévot <taffit@debian.org>  Thu, 04 May 2023 20:20:40 +0200

php-phpstan-phpdoc-parser (1.20.3-1) experimental; urgency=medium

  * New upstream release

 -- David Prévot <taffit@debian.org>  Wed, 26 Apr 2023 20:18:39 +0200

php-phpstan-phpdoc-parser (1.20.1-1) experimental; urgency=medium

  * New upstream release

 -- David Prévot <taffit@debian.org>  Sat, 22 Apr 2023 16:27:32 +0200

php-phpstan-phpdoc-parser (1.18.1-1) experimental; urgency=medium

  [ Ondrej Mirtes ]
  * Support for object shapes
  * Do not crash on invalid UTF-8

 -- David Prévot <taffit@debian.org>  Sat, 08 Apr 2023 13:14:45 +0200

php-phpstan-phpdoc-parser (1.17.1-1) experimental; urgency=medium

  * Upload new minor to experimental during the freeze

  [ Ondrej Mirtes ]
  * PhpDocParser - option to preserve type alias with parse error
  * Fix parsing invalid types in type aliases

 -- David Prévot <taffit@debian.org>  Tue, 04 Apr 2023 19:30:30 +0200

## php-phpstan-phpdoc-parser 1.26.0

=== Makefile ===
.PHONY: check
check: lint cs tests phpstan

.PHONY: tests
tests:
	php vendor/bin/phpunit

.PHONY: lint
lint:
	php vendor/bin/parallel-lint --colors \
		src tests \
		--exclude tests/PHPStan/Analyser/data \
		--exclude tests/PHPStan/Rules/Methods/data \
		--exclude tests/PHPStan/Rules/Functions/data

.PHONY: cs-install
cs-install:
	git clone https://github.com/phpstan/build-cs.git || true
	git -C build-cs fetch origin && git -C build-cs reset --hard origin/main
	composer install --working-dir build-cs

.PHONY: cs
cs:
	php build-cs/vendor/bin/phpcs src tests

.PHONY: cs-fix
cs-fix:
	php build-cs/vendor/bin/phpcbf src tests

.PHONY: phpstan
phpstan:
	php vendor/bin/phpstan

.PHONY: phpstan-generate-baseline
phpstan-generate-baseline:
	php vendor/bin/phpstan --generate-baseline

=== debian/changelog ===
php-phpstan-phpdoc-parser (1.26.0-1) unstable; urgency=medium

  [ Brad Miller ]
  * Parse generic callables

  [ Jan Tvrdík ]
  * Improve static keyword conflict resolution in `@method`

 -- David Prévot <taffit@debian.org>  Sun, 25 Feb 2024 11:08:23 +0100

php-phpstan-phpdoc-parser (1.25.0-2) unstable; urgency=medium

  * Use php-parser 5

 -- David Prévot <taffit@debian.org>  Mon, 15 Jan 2024 23:39:54 +0100

php-phpstan-phpdoc-parser (1.25.0-1) unstable; urgency=medium

  [ Markus Staab ]
  * Added support for `@phpstan-require-extends` and
    `@phpstan-require-implements` PHPDoc tags

 -- David Prévot <taffit@debian.org>  Fri, 05 Jan 2024 23:11:22 +0100

php-phpstan-phpdoc-parser (1.24.5-1) unstable; urgency=medium

  [ Ondrej Mirtes ]
  * Fix format-preserving printer for GenericTagValueNode without description

 -- David Prévot <taffit@debian.org>  Mon, 18 Dec 2023 00:00:27 +0100

php-phpstan-phpdoc-parser (1.24.4-1) unstable; urgency=medium

  * New upstream release

 -- David Prévot <taffit@debian.org>  Tue, 28 Nov 2023 07:47:27 +0100

php-phpstan-phpdoc-parser (1.24.3-1) unstable; urgency=medium

  [ Ondrej Mirtes ]
  * Tests for comment-like descriptions
  * Different site ID for Fathom

  [ schlndh ]
  * fix HTML description detection for phpstorm stubs

 -- David Prévot <taffit@debian.org>  Mon, 20 Nov 2023 13:57:24 +0100

php-phpstan-phpdoc-parser (1.24.2-1) unstable; urgency=medium

  [ Richard van Velzen ]
  * Allow conditional type in callable return type

 -- David Prévot <taffit@debian.org>  Wed, 27 Sep 2023 07:30:23 +0200

php-phpstan-phpdoc-parser (1.24.1-1) unstable; urgency=medium

  [ Michael Voříšek ]
  * simplify/unify parseGeneric method
  * fix/unify callable template parsing with EOL

 -- David Prévot <taffit@debian.org>  Tue, 19 Sep 2023 09:24:16 +0530

php-phpstan-phpdoc-parser (1.24.0-1) unstable; urgency=medium

  [ ekisu ]
  * Allow asserting the type of `$this`

 -- David Prévot <taffit@debian.org>  Sat, 09 Sep 2023 14:31:03 +0530

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Uploaders: David Prévot <taffit@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-phpcomposer,
+               php-doctrine-annotations,
                php-symfony-process,
                phpab,
-               phpunit,
-               pkg-php-tools (>= 1.41~)
+               phpunit
 Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/php-team/pear/php-phpstan-phpdoc-parser.git
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-phpstan-phpdoc-parser

=== debian/rules ===
--- 
+++ 
@@ -9,13 +9,18 @@
 	ln -s ../src PHPStan/PhpDocParser
 	phpabtpl \
 		--require phpstan/phpdoc-parser \
+		--require doctrine/annotations \
 		--require symfony/process \
 		> debian/autoload.tests.php.tpl
 	phpab \
 		--output vendor/autoload.php \
 		--template debian/autoload.tests.php.tpl \
+		--exclude tests/PHPStan/Printer/data/printer-1-tabs-before.php \
+		--exclude tests/PHPStan/Printer/data/printer-1-spaces-before.php \
+		--exclude tests/PHPStan/Printer/data/printer-1-tabs-after.php \
+		--exclude tests/PHPStan/Printer/data/printer-1-spaces-after.php \
 		tests
 	./build-abnfgen.sh
 
 override_dh_auto_test:
-	phpunit --bootstrap vendor/autoload.php
+	phpunit --no-coverage --bootstrap vendor/autoload.php

=== debian/tests/control ===
Restrictions: rw-build-tree, allow-stderr
Depends: php-doctrine-annotations,
         php-symfony-process,
         phpab,
         phpunit,
         pkg-php-tools,
         @
Test-Command: mkdir -p vendor && phpabtpl --require phpstan/phpdoc-parser --require doctrine/annotations --require symfony/process > debian/autoload.tests.php.tpl && phpab -o vendor/autoload.php -t debian/autoload.tests.php.tpl --exclude tests/PHPStan/Printer/data/printer-1-tabs-before.php --exclude tests/PHPStan/Printer/data/printer-1-spaces-before.php --exclude tests/PHPStan/Printer/data/printer-1-tabs-after.php --exclude tests/PHPStan/Printer/data/printer-1-spaces-after.php tests && ./build-abnfgen.sh && phpunit --no-coverage --bootstrap vendor/autoload.php

## php-phpstan-phpdoc-parser 1.29.1

=== debian/changelog ===
php-phpstan-phpdoc-parser (1.29.1-1) unstable; urgency=medium

  [ Markus Staab ]
  * `TemplateTagValueNode` name cannot be empty string

 -- David Prévot <taffit@debian.org>  Mon, 03 Jun 2024 07:20:06 +0200

php-phpstan-phpdoc-parser (1.29.0-2) unstable; urgency=medium

  * Make provider function static (PHPUnit 11 Fix) (Closes: #1070589)

 -- David Prévot <taffit@debian.org>  Mon, 20 May 2024 00:00:02 +0200

php-phpstan-phpdoc-parser (1.29.0-1) unstable; urgency=medium

  [ Ondrej Mirtes ]
  * Test pure-callable and pure-Closure

  [ Richard van Velzen ]
  * Support array and offset access on const types

  [ David Prévot ]
  * Update Standards-Version to 4.7.0

 -- David Prévot <taffit@debian.org>  Thu, 09 May 2024 07:41:03 +0200

php-phpstan-phpdoc-parser (1.28.0-1) unstable; urgency=medium

  [ Brad Jorsch ]
  * Add `@phan-` prefixes for recognized doc tags

 -- David Prévot <taffit@debian.org>  Sun, 07 Apr 2024 16:39:14 +0200

php-phpstan-phpdoc-parser (1.27.0-3) unstable; urgency=medium

  * Allow stderr during CI

 -- David Prévot <taffit@debian.org>  Fri, 29 Mar 2024 06:49:05 +0000

php-phpstan-phpdoc-parser (1.27.0-2) unstable; urgency=medium

  * Use debhelper dependencies during CI

 -- David Prévot <taffit@debian.org>  Tue, 26 Mar 2024 08:28:37 +0000

php-phpstan-phpdoc-parser (1.27.0-1) unstable; urgency=medium

  [ Ondrej Mirtes ]
  * Support for `@param-closure-this`, `@param-immediately-invoked-callable`
    and `@param-later-invoked-callable`

  [ David Prévot ]
  * Force system dependencies loading (tests)

 -- David Prévot <taffit@debian.org>  Sun, 24 Mar 2024 10:28:34 +0100

=== debian/rules ===
--- 
+++ 
@@ -7,11 +7,6 @@
 	phpab --output src/autoload.php src
 	mkdir --parents vendor PHPStan
 	ln -s ../src PHPStan/PhpDocParser
-	phpabtpl \
-		--require phpstan/phpdoc-parser \
-		--require doctrine/annotations \
-		--require symfony/process \
-		> debian/autoload.tests.php.tpl
 	phpab \
 		--output vendor/autoload.php \
 		--template debian/autoload.tests.php.tpl \

=== debian/tests/control ===
Restrictions: rw-build-tree allow-stderr
Depends: debhelper,
         php-doctrine-annotations,
         php-symfony-process,
         phpab,
         phpunit,
         @
Test-Command: mkdir -p vendor && phpab -o vendor/autoload.php -t debian/autoload.tests.php.tpl --exclude tests/PHPStan/Printer/data/printer-1-tabs-before.php --exclude tests/PHPStan/Printer/data/printer-1-spaces-before.php --exclude tests/PHPStan/Printer/data/printer-1-tabs-after.php --exclude tests/PHPStan/Printer/data/printer-1-spaces-after.php tests && ./build-abnfgen.sh && phpunit --no-coverage --bootstrap vendor/autoload.php

## php-phpstan-phpdoc-parser 1.33.0

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 .PHONY: cs-install
 cs-install:
 	git clone https://github.com/phpstan/build-cs.git || true
-	git -C build-cs fetch origin && git -C build-cs reset --hard origin/main
+	git -C build-cs fetch origin && git -C build-cs reset --hard origin/1.x
 	composer install --working-dir build-cs
 
 .PHONY: cs

=== debian/changelog ===
php-phpstan-phpdoc-parser (1.33.0-2) unstable; urgency=medium

  * Drop currently failing test

 -- David Prévot <taffit@debian.org>  Sat, 26 Oct 2024 14:09:31 +0200

php-phpstan-phpdoc-parser (1.33.0-1) unstable; urgency=medium

  [ Ondrej Mirtes ]
  * Support for `non-empty-array` and `non-empty-list` array shape kind

 -- David Prévot <taffit@debian.org>  Thu, 24 Oct 2024 06:24:20 +0200

php-phpstan-phpdoc-parser (1.32.0-1) unstable; urgency=medium

  [ Jiří Pudil ]
  * PhpDocParser: support template type lower bounds

 -- David Prévot <taffit@debian.org>  Mon, 30 Sep 2024 13:53:44 +0200

php-phpstan-phpdoc-parser (1.30.1-1) unstable; urgency=medium

  [ Ondrej Mirtes ]
  * Fix bug of repeating last line in AST for
    textBetweenTagsBelongsToDescription=true
  * Deploy API Reference into a subdirectory with the current branch name

 -- David Prévot <taffit@debian.org>  Mon, 09 Sep 2024 07:45:51 +0200

php-phpstan-phpdoc-parser (1.30.0-1) unstable; urgency=medium

  [ Markus Staab ]
  * Update roave/backward-compatibility-check
  * Fix $matches error

  [ Tinjo Schöni ]
  * Support typing extra items in unsealed array shapes

 -- David Prévot <taffit@debian.org>  Sun, 01 Sep 2024 16:04:43 +0200

## php-phpstan-phpdoc-parser 2.0.0

=== debian/changelog ===
php-phpstan-phpdoc-parser (2.0.0-2) unstable; urgency=medium

  * Upload to unstable

 -- David Prévot <taffit@debian.org>  Sat, 18 Jan 2025 10:59:06 +0100

php-phpstan-phpdoc-parser (2.0.0-1) experimental; urgency=medium

  * Upload new major to experimental

  [ Ondrej Mirtes ]
  * Parsing Doctrine annotations is no longer optional
  * PhpDocParser - always preserve type aliases with invalid types
  * Text between tags always belongs to description
  * UPGRADING.md

  [ David Prévot ]
  * Revert "Force system dependencies loading (tests)"
  * Ship UPGRADING.md

 -- David Prévot <taffit@debian.org>  Fri, 15 Nov 2024 11:23:05 +0100

## php-phpstan-phpdoc-parser 2.0.1

=== debian/changelog ===
php-phpstan-phpdoc-parser (2.0.1-1) unstable; urgency=medium

  [ Ondřej Mirtes ]
  * Update LICENSE

  [ Ismail Özgün Turan ]
  * TypeParser: Allow multiple newlines and also allow multiline union and
    intersection types for array shapes

  [ David Prévot ]
  * Compatibility with recent PHPUnit (12)
  * Update copyright

 -- David Prévot <taffit@debian.org>  Sat, 15 Feb 2025 12:30:12 +0100

## php-phpstan-phpdoc-parser 2.1.0

=== debian/changelog ===
php-phpstan-phpdoc-parser (2.1.0-1) unstable; urgency=medium

  [ Ondrej Mirtes ]
  * PrinterTest - nowdoc helper for nicer formatting

  [ Max Loeb ]
  * TypeParser - support comments at EOL with `//`

 -- David Prévot <taffit@debian.org>  Wed, 19 Feb 2025 18:25:16 +0100

php-phpstan-phpdoc-parser (2.0.2-1) unstable; urgency=medium

  [ Ismail Özgün Turan ]
  * Allow multiple new lines in union and intersection definition

 -- David Prévot <taffit@debian.org>  Wed, 19 Feb 2025 08:28:05 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                php-symfony-process,
                phpab,
                phpunit
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/php-team/pear/php-phpstan-phpdoc-parser.git
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-phpstan-phpdoc-parser
 Homepage: https://phpstan.org/

## php-phpstan-phpdoc-parser 2.2.0

=== debian/changelog ===
php-phpstan-phpdoc-parser (2.2.0-1) experimental; urgency=medium

  * Upload to experimental during the freeze

  [ Ondrej Mirtes ]
  * Prepare 2.2.x

  [ Vincent Langlet ]
  * Add support for `@psalm-inheritors` and `@phpstan-sealed` tag

  [ David Prévot ]
  * Update Standards-Version to 4.7.2

 -- David Prévot <taffit@debian.org>  Sat, 19 Jul 2025 10:06:00 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                php-symfony-process,
                phpab,
                phpunit
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/php-team/pear/php-phpstan-phpdoc-parser.git
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-phpstan-phpdoc-parser
 Homepage: https://phpstan.org/

## php-phpstan-phpdoc-parser 2.3.0

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 .PHONY: cs-install
 cs-install:
 	git clone https://github.com/phpstan/build-cs.git || true
-	git -C build-cs fetch origin && git -C build-cs reset --hard origin/1.x
+	git -C build-cs fetch origin && git -C build-cs reset --hard origin/2.x
 	composer install --working-dir build-cs
 
 .PHONY: cs

=== debian/changelog ===
php-phpstan-phpdoc-parser (2.3.0-1) unstable; urgency=medium

  [ Vincent Langlet ]
  * Support constant fetch in array key

 -- David Prévot <taffit@debian.org>  Sun, 31 Aug 2025 09:41:14 +0200

php-phpstan-phpdoc-parser (2.2.0-2) unstable; urgency=medium

  * Upload to unstable now that Trixie has been released
  * Remove Rules-Requires-Root
  * d/control: Document <!nocheck> flag

 -- David Prévot <taffit@debian.org>  Wed, 27 Aug 2025 08:37:47 +0200

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,14 @@
 Uploaders: David Prévot <taffit@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-phpcomposer,
-               php-doctrine-annotations,
-               php-symfony-process,
+               php-doctrine-annotations <!nocheck>,
+               php-symfony-process <!nocheck>,
                phpab,
-               phpunit
+               phpunit <!nocheck>
 Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/php-team/pear/php-phpstan-phpdoc-parser.git
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-phpstan-phpdoc-parser
 Homepage: https://phpstan.org/
-Rules-Requires-Root: no
 
 Package: php-phpstan-phpdoc-parser
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -5,8 +5,12 @@
 
 override_dh_auto_build:
 	phpab --output src/autoload.php src
-	mkdir --parents vendor PHPStan
-	ln -s ../src PHPStan/PhpDocParser
+	mkdir --parents vendor
+	phpabtpl \
+		--require-file ../src/autoload.php \
+		--require doctrine/annotations \
+		--require symfony/process \
+		> debian/autoload.tests.php.tpl
 	phpab \
 		--output vendor/autoload.php \
 		--template debian/autoload.tests.php.tpl \

=== debian/tests/control ===
Restrictions: rw-build-tree allow-stderr
Depends: debhelper,
         php-doctrine-annotations,
         php-symfony-process,
         phpab,
         phpunit,
         pkg-php-tools,
         @
Test-Command: mkdir -p vendor && phpabtpl --require phpstan/phpdoc-parser --require doctrine/annotations --require symfony/process > debian/autoload.tests.php.tpl && phpab -o vendor/autoload.php -t debian/autoload.tests.php.tpl --exclude tests/PHPStan/Printer/data/printer-1-tabs-before.php --exclude tests/PHPStan/Printer/data/printer-1-spaces-before.php --exclude tests/PHPStan/Printer/data/printer-1-tabs-after.php --exclude tests/PHPStan/Printer/data/printer-1-spaces-after.php tests && ./build-abnfgen.sh && phpunit --no-coverage --bootstrap vendor/autoload.php

=== debian/watch ===
version=4
options=uversionmangle=s/-?([^\d.]+)/~$1/i;tr/A-Z/a-z/,\
mode=git,gitmode=full,gitexport=all \
https://github.com/phpstan/phpdoc-parser \
refs/tags/v?(\d.+)

## php-phpstan-phpdoc-parser 2.3.1

=== debian/changelog ===
php-phpstan-phpdoc-parser (2.3.1-1) unstable; urgency=medium

  [ Claude ]
  * Implement __set_state() for all AST node classes

  [ David Prévot ]
  * Convert d/watch to version 5
  * Update Standards-Version to 4.7.3

 -- David Prévot <taffit@debian.org>  Tue, 13 Jan 2026 08:56:35 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: php-phpstan-phpdoc-parser
 Section: php
-Priority: optional
 Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
 Uploaders: David Prévot <taffit@debian.org>
 Build-Depends: debhelper-compat (= 13),
@@ -9,7 +8,7 @@
                php-symfony-process <!nocheck>,
                phpab,
                phpunit <!nocheck>
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Git: https://salsa.debian.org/php-team/pear/php-phpstan-phpdoc-parser.git
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-phpstan-phpdoc-parser
 Homepage: https://phpstan.org/

## php-phpstan-phpdoc-parser 2.3.2

=== debian/changelog ===
php-phpstan-phpdoc-parser (2.3.2-1) unstable; urgency=medium

  [ Gregor Harlan ]
  * Rename CLAUDE.MD to CLAUDE.md

 -- David Prévot <taffit@debian.org>  Mon, 26 Jan 2026 16:58:18 +0100

=== debian/watch ===
Version: 5

Source: https://github.com/phpstan/phpdoc-parser
Matching-Pattern: refs/tags/v?(\d.+)
Gitexport: all
Gitmode: full
Mode: git
Uversionmangle: s/-?([^\d.]+)/~$1/i;tr/A-Z/a-z/
